Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search
Class Query

    java.lang.Object
      org.apache.lucene.search.Query

All Implemented Interfaces:
  Cloneable, Serializable

Direct Known Subclasses:
  BooleanQuery, FilteredQuery, MultiTermQuery, PhrasePrefixQuery, PhraseQuery, PrefixQuery, RangeQuery, SpanQuery, TermQuery

public abstract class Query
extends Object
implements Serializable, Cloneable

The abstract base class for queries.

Instantiable subclasses are:

- `TermQuery`
- `MultiTermQuery`
- `BooleanQuery`
- `WildcardQuery`
- `PhraseQuery`
- `PrefixQuery`
- `PhrasePrefixQuery`
- `FuzzyQuery`
- `RangeQuery`
- `SpanQuery`

A parser for queries is contained in:

- `QueryParser`

See Also:
  Serialized Form

Constructor Summary
`Query()`

Method Summary
`Object` | `clone()` Returns a clone of this query.
`Query` | `combine(Query[] queries)` Expert: called when re-writing queries under MultiSearcher.
`protected Weight` | `createWeight(Searcher searcher)` Expert: Constructs an appropriate Weight implementation for this query.
`float` | `getBoost()` Gets the boost for this clause.
`Similarity` | `getSimilarity(Searcher searcher)` Expert: Returns the Similarity implementation to be used for this query.
`static Query` | `mergeBooleanQueries(Query[] queries)` Expert: merges the clauses of a set of BooleanQuery's into a single BooleanQuery.
`Query` | `rewrite(IndexReader reader)` Expert: called to re-write queries into primitive queries.
`void` | `setBoost(float b)` Sets the boost for this query clause to `b`.
`String` | `toString()` Prints a query to a string.
`abstract String` | `toString(String field)` Prints a query to a string, with `field` as the default field for terms.
`Weight` | `weight(Searcher searcher)` Expert: Constructs an initializes a Weight for a top-level query.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Query

    public Query()

Method Detail

### setBoost

    public void setBoost(float b)

  Sets the boost for this query clause to `b`. Documents matching this clause will (in addition to the normal weightings) have their score multiplied by `b`.

### getBoost

    public float getBoost()

  Gets the boost for this clause. Documents matching this clause will (in addition to the normal weightings) have their score multiplied by `b`. The boost is 1.0 by default.

### toString

    public abstract String toString(String field)

  Prints a query to a string, with `field` as the default field for terms.

  The representation used is one that is readable by `QueryParser` (although, if the query was created by the parser, the printed representation may not be exactly what was parsed).

### toString

    public String toString()

  Prints a query to a string.

### createWeight

    protected Weight createWeight(Searcher searcher)

  Expert: Constructs an appropriate Weight implementation for this query.

  Only implemented by primitive queries, which re-write to themselves.

### weight

    public Weight weight(Searcher searcher)
                  throws IOException

  Expert: Constructs an initializes a Weight for a top-level query.

  Throws:
    `IOException`

### rewrite

    public Query rewrite(IndexReader reader)
                  throws IOException

  Expert: called to re-write queries into primitive queries.

  Throws:
    `IOException`

### combine

    public Query combine(Query[] queries)

  Expert: called when re-writing queries under MultiSearcher.

  Only implemented by derived queries, with no `createWeight(Searcher)` implementatation.

### mergeBooleanQueries

    public static Query mergeBooleanQueries(Query[] queries)

  Expert: merges the clauses of a set of BooleanQuery's into a single BooleanQuery.

  A utility for use by `combine(Query[])` implementations.

### getSimilarity

    public Similarity getSimilarity(Searcher searcher)

  Expert: Returns the Similarity implementation to be used for this query. Subclasses may override this method to specify their own Similarity implementation, perhaps one that delegates through that of the Searcher. By default the Searcher's Similarity implementation is returned.

### clone

    public Object clone()

  Returns a clone of this query.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.